# Interface SummaryTree

All Superinterfaces:
  `DocTree, InlineTagTree`

public interface SummaryTree extends InlineTagTree
A tree node for an `@summary` inline tag.

       {@summary text}

Since:
  10

## Nested Class Summary

### Nested classes/interfaces declared in interface DocTree

`DocTree.Kind`

## Method Summary

Modifier and Type
Method
Description
`List<? extends DocTree>`
`getSummary()`
Returns the summary or the first line of a comment.

### Methods declared in interface DocTree

`accept, getKind`

### Methods declared in interface InlineTagTree

`getTagName`

## Method Details

### getSummary

List<? extends DocTree> getSummary()
Returns the summary or the first line of a comment.

Returns:
  the summary text